Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.server.parser
Class OWLlinkGetAllClassesElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkKBRequestElementHandler<GetAllClasses>
                  org.semanticweb.owlapi.owllink.server.parser.OWLlinkGetAllClassesElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<GetAllClasses>, OWLlinkRequestElementHandler<GetAllClasses>

    public class OWLlinkGetAllClassesElementHandler

extends AbstractOWLlinkKBRequestElementHandler<GetAllClasses>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 28.11.2009

Constructor Summary
`OWLlinkGetAllClassesElementHandler(OWLXMLParserHandler handler)`

Method Summary
`GetAllClasses` | `getOWLObject()`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkKBRequestElementHandler
`attribute, endElement, getKB, startElement`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkElementHandler
`getOWLlinkObject, getParentHandler, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.server.parser.OWLlinkElementHandler
`getOWLlinkObject, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Constructor Detail

### OWLlinkGetAllClassesElementHandler

    public OWLlinkGetAllClassesElementHandler(OWLXMLParserHandler handler)

Method Detail

### getOWLObject

    public GetAllClasses getOWLObject()
                               throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD